com.rscja.deviceapi.interfaces

## Interface IRFIDWithUHFA4Uart

- All Superinterfaces:
    IMultipleAntenna, IRFIDWithUHFA4, IUHF, IUHFOfAndroidUart, IURAxOfAndroidUart

      public interface IRFIDWithUHFA4Uart
      extends IRFIDWithUHFA4, IUHF, IURAxOfAndroidUart, IUHFOfAndroidUart

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IRFIDWithUHFA4

      `inputStatus, output1Off, output1On, output2Off, output2On, output3Off, output3On, output4Off, output4On, outputWgData0Off, outputWgData0On, outputWgData1Off, outputWgData1On`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IMultipleAntenna

      `getANT, getAntennaPower, getAntennaPower, setANT, setAntennaPower`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IURAxOfAndroidUart

      `buzzer, led, successNotify`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`